---
title: left
slug: Web/CSS/left
tags:
  - CSS
  - CSS Positioning
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>left</code></strong> <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> property participates in specifying the horizontal position of a <a href="/en-US/docs/Web/CSS/position">positioned element</a>. It has no effect on non-positioned elements.</p>

<div>{{EmbedInteractiveExample("pages/css/left.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
left: 3px;
left: 2.4em;

/* &lt;percentage&gt;s of the width of the containing block */
left: 10%;

/* Keyword value */
left: auto;

/* Global values */
left: inherit;
left: initial;
left: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt>{{cssxref("&lt;length&gt;")}}</dt>
	<dd>A negative, null, or positive {{cssxref("&lt;length&gt;")}} that represents:
	<ul>
		<li>for <em>absolutely positioned elements</em>, the distance to the left edge of the containing block.</li>
		<li>for <em>relatively positioned elements</em>, the distance that the element is moved to the right of its normal position.</li>
	</ul>
	</dd>
	<dt>{{cssxref("&lt;percentage&gt;")}}</dt>
	<dd>A {{cssxref("&lt;percentage&gt;")}} of the containing block's width.</dd>
	<dt><code>auto</code></dt>
	<dd>Specifies that:
	<ul>
		<li>for <em>absolutely positioned elements</em>, the position of the element is based on the {{Cssxref("right")}} property, while <code>width: auto</code> is treated as a width based on the content; or if <code>right</code> is also <code>auto</code>, the element is positioned where it should horizontally be positioned if it were a static element.</li>
		<li>for <em>relatively positioned elements</em>, the distance of the element from its normal position is based on the {{Cssxref("right")}} property; or if <code>right</code> is also <code>auto</code>, the element is not moved horizontally at all.</li>
	</ul>
	</dd>
	<dt><code>inherit</code></dt>
	<dd>Specifies that the value is the same as the computed value from its parent element (which might not be its containing block). This computed value is then handled as if it were a {{cssxref("&lt;length&gt;")}}, {{cssxref("&lt;percentage&gt;")}}, or the <code>auto</code> keyword.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The effect of <code>left</code> depends on how the element is positioned (i.e., the value of the {{cssxref("position")}} property):</p>

<ul>
	<li>When <code>position</code> is set to <code>absolute</code> or <code>fixed</code>, the <code>left</code> property specifies the distance between the element's left edge and the left edge of its containing block. (The containing block is the ancestor to which the element is relatively positioned.)</li>
	<li>When <code>position</code> is set to <code>relative</code>, the <code>left</code> property specifies the distance the element's left edge is moved to the right from its normal position.</li>
	<li>When <code>position</code> is set to <code>sticky</code>, the <code>left</code> property is used to compute the sticky-constraint rectangle.</li>
	<li>When <code>position</code> is set to <code>static</code>, the <code>left</code> property has <em>no effect</em>.</li>
</ul>

<p>When both <code>left</code> and {{cssxref("right")}} are defined, and width constraints don't prevent it, the element will stretch to satisfy both. If the element cannot stretch to satisfy both, the position of the element is <em>overspecified</em>. When this is the case, the <code>left</code> value has precedence when the container is left-to-right; the <code>right</code> value has precedence when the container is right-to-left.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Positioning_elements">Positioning elements</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="wrap"&gt;
  &lt;div id="example_1"&gt;
    &lt;pre&gt;
      position: absolute;
      left: 20px;
      top: 20px;
    &lt;/pre&gt;
    &lt;p&gt;The only containing element for this div is the main window, so it positions itself in relation to it.&lt;/p&gt;
  &lt;/div&gt;

  &lt;div id="example_2"&gt;
    &lt;pre&gt;
      position: relative;
      top: 0;
      right: 0;
    &lt;/pre&gt;
    &lt;p&gt;Relative position in relation to its siblings.&lt;/p&gt;
  &lt;/div&gt;

  &lt;div id="example_3"&gt;
    &lt;pre&gt;
      float: right;
      position: relative;
      top: 20px;
      left: 20px;
    &lt;/pre&gt;
    &lt;p&gt;Relative to its sibling div above, but removed from flow of content.&lt;/p&gt;

    &lt;div id="example_4"&gt;
      &lt;pre&gt;
        position: absolute;
        bottom: 10px;
        right: 20px;
      &lt;/pre&gt;
      &lt;p&gt;Absolute position inside of a parent with relative position&lt;/p&gt;
    &lt;/div&gt;

    &lt;div id="example_5"&gt;
      &lt;pre&gt;
        position: absolute;
        right: 0;
        left: 0;
        top: 200px;
      &lt;/pre&gt;
      &lt;p&gt;Absolute position with both left and right declared&lt;/p&gt; &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#wrap {
  width: 700px;
  margin: 0 auto;
  background: #5C5C5C;
}

pre {
  white-space: pre;
  white-space: pre-wrap;
  white-space: pre-line;
  word-wrap: break-word;
}

#example_1 {
  width: 200px;
  height: 200px;
  position: absolute;
  left: 20px;
  top: 20px;
  background-color: #D8F5FF;
}

#example_2 {
  width: 200px;
  height: 200px;
  position: relative;
  top: 0;
  right: 0;
  background-color: #C1FFDB;

}
#example_3 {
  width: 600px;
  height: 400px;
  position: relative;
  top: 20px;
  left: 20px;
  background-color: #FFD7C2;
}

#example_4 {
  width:200px;
  height:200px;
  position:absolute;
  bottom:10px;
  right:20px;
  background-color:#FFC7E4;
}
#example_5 {
  position: absolute;
  right: 0;
  left: 0;
  top: 100px;
  background-color: #D7FFC2;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Positioning_elements',1200,650)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Positioning', '#propdef-left', 'left')}}</td>
			<td>{{Spec2('CSS3 Positioning')}}</td>
			<td>Adds behavior for sticky positioning.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1', 'visuren.html#propdef-left', 'left')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.left")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("inset")}}, the shorthand for all related properties: {{cssxref("top")}}, {{cssxref("bottom")}}, {{cssxref("left")}}, and {{cssxref("right")}}</li>
	<li>The mapped logical properties: {{cssxref("inset-block-start")}}, {{cssxref("inset-block-end")}}, {{cssxref("inset-inline-start")}}, and {{cssxref("inset-inline-end")}} and the shorthands {{cssxref("inset-block")}} and {{cssxref("inset-inline")}}</li>
	<li>{{cssxref("position")}}</li>
</ul>
